1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
//! Layer 4 Transport protocols, TCP flags, header options, and transport modifiers.
//!
//! This module defines the abstract syntax tree structures for Layer 4 transport encapsulation
//! across IPv4 (`EtherType = 0x0800`) and IPv6 (`EtherType = 0x86DD`):
//! - **SCTP** (RFC 9260 / RFC 4960 Stream Control Transmission Protocol, IP Protocol `132`)
//! with Castagnoli CRC32c checksumming and multi-stream chunk multiplexing
//! - **TCP** (RFC 9293 / RFC 7323 Transmission Control Protocol, IP Protocol `6`) with full
//! control flags (`SYN`, `ACK`, `FIN`, `RST`, `PSH`, `URG`, `ECE`, `CWR`) and RFC 7323 options
//! - **UDP** (RFC 768 User Datagram Protocol, IP Protocol `17`) connectionless datagram framing
use Vec;
pub use *;
pub use *;
pub use *;
/// Transport layer protocol selector for dual-transport application protocols (e.g., DNS, SIP, Syslog).
///
/// Syntax mapping: `[TCP | UDP]`
/// Layer 4 transport header modifiers applied to any transport or application frame statement.
///
/// Syntax mapping: `[SRCPORT <u16>] [DSTPORT <u16>] [SEQ <u32>] [ACKNUM <u32>] [WIN <u16>] [URGENT <u16>] [SYN] [ACK] [FIN] [RST] [PSH] [URG] [ECE] [CWR] [MSS <u16>] [WSCALE <u8>] [SACK_PERM] [TSVAL <u32>] [TSECR <u32>]`